# frozen_string_literal: true

# Una lista de valores
class MetadataArray < MetadataTemplate
  # El valor por defecto es una array vacía
  def default_value
    super || []
  end

  # Los Arrays no se pueden cifrar todavía
  # TODO: Cifrar y decifrar arrays
  def private?
    false
  end

  private

  # TODO: Sanitizar otros valores
  # XXX: Por qué eliminamos el punto del final?
  def sanitize(values)
    values.map do |v|
      case v
      when String then super(v).sub(/\.\z/, '')
      else v
      end
    end.select(&:present?)
  end
end
