# frozen_string_literal: true

# Maneja la fecha del document
class MetadataDocumentDate < MetadataTemplate
  # La fecha por defecto es ahora!
  def default_value
    Date.today.to_time
  end

  def value_from_document
    document.date
  end

  # El valor puede ser un Date, Time o una String en el formato
  # "yyyy-mm-dd"
  def value
    return (self[:value] = value_from_document || default_value) if self[:value].nil?

    self[:value] = Date.iso8601(self[:value]).to_time if self[:value].is_a? String

    self[:value]
  end
end
